Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/libsrs2: new aport

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Mon, 25 Jan 2016 15:22:51 +0200

Sender Rewriting Scheme library, a part of the SPF/SRS protocol pair
http://www.libsrs2.org
---
 testing/libsrs2/APKBUILD | 52 ++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 52 insertions(+)
 create mode 100644 testing/libsrs2/APKBUILD
diff --git a/testing/libsrs2/APKBUILD b/testing/libsrs2/APKBUILD
new file mode 100644
index 0000000..c953f30
--- /dev/null
+++ b/testing/libsrs2/APKBUILD
_at_@ -0,0 +1,52 @@
+#Contributor: Valery Kartel <valery.kartel_at_gmail.com>
+# Maintainer: Valery Kartel <valery.kartel_at_gmail.com>
+pkgname=libsrs2
+pkgver=1.0.18
+pkgrel=0
+pkgdesc="Sender Rewriting Scheme library, a part of the SPF/SRS protocol pair"
+url="http://www.libsrs2.org"
+arch="all"
+license="LGPL2.1 BSD-2"
+subpackages="$pkgname-dev $pkgname-tools"
+makedepends=
+depends=
+source="http://www.libsrs2.org/srs/$pkgname-$pkgver.tar.gz
+	"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+	cd "$_builddir"
+	update_config_sub || return 1
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--build=$CBUILD \
+		--host=$CHOST \
+		--prefix=/usr \
+		--disable-static \
+		--with-pic \
+		|| return 1
+	make -j1 || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make -j1 DESTDIR="$pkgdir" install || return 1
+}
+
+tools() {
+	pkgdesc="SRS command-line utility"
+	mkdir -p "$subpkgdir"/usr
+	mv "$pkgdir"/usr/bin "$subpkgdir"/usr
+}
+
+md5sums="2178b8cf587eb6e65d4b9753c4a6c67d  libsrs2-1.0.18.tar.gz"
+sha256sums="9d1191b705d7587a5886736899001d04168392bbb6ed6345a057ade50943a492  libsrs2-1.0.18.tar.gz"
+sha512sums="b9c189caa227487e90566f65430345f09a3d545fc286a3eb0c445aee3a74905c1a9248ce78b36a7cfb6a2936f6cd1efbe99ba7b8df49a613a81c6435396f5422  libsrs2-1.0.18.tar.gz"
-- 
2.7.0
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Mon Jan 25 2016 - 15:22:51 GMT